curl --request GET \
--url https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/actions/queue \
--header 'Content-Type: <content-type>' \
--header 'access_token: <access_token>' \
--header 'client_id: <client_id>'import requests
url = "https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/actions/queue"
headers = {
"Content-Type": "<content-type>",
"client_id": "<client_id>",
"access_token": "<access_token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Content-Type': '<content-type>',
client_id: '<client_id>',
access_token: '<access_token>'
}
};
fetch('https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/actions/queue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 897654,
"actionType": 49,
"createdAt": "2021-03-10 09:11:42",
"contractId": "6545656",
"iccId": "19440266",
"imsi": "5465565456465456",
"msisdn": "0349665655897",
"customer": {
"id": 65454546,
"name": "Teste cliente",
"documentNumber": "20325698000178"
},
"customerId": 12586,
"processingDate": "",
"processed": 0,
"processedLog": "Processo finalizado com sucesso ",
"protocol": "20325687978-7",
"createdDate": "2025-01-29T13:18:11.000+00:00",
"createdBy": "teste@gmail.com",
"vendor": "TIM",
"retry": 1,
"customerDest": "string",
"customerIdDest": 5456454,
"virtualAccountDest": {
"id": 65454546,
"name": "Pedido Teste"
},
"virtualAccountIdDest": 654545,
"virtualContractDest": {
"id": 65454546,
"planDesc": "Contrato Teste"
}
}
]{
"errors": "Parameter not found"
}Busca o status da fila de açoes
Recupera o status da fila de ações, retornando dados da última semana até o dia atual. Para consultar um período diferente, utilize os parâmetros startDate e endDate
Headers
Define o formato da requisição.
🔹 Valor padrão:
application/json
📌 Dica: Copie e cole esse valor no campo Content-Type.
"application/json"
"client_id"
Token gerado.
"access_token"
Query Parameters
Usuário que criou a ação
"teste.user"
Status da ação
"0"
Data inicio da criaçao da ação
"2022-01-01"
Data fim da criacao da ação
"2022-12-31"
Protocolo da operação
"213132132"
Msisdn
"213132132"
Status do auto serviço
"326598-8"
Identificador do Cliente
"65456456"
Número da página para paginação.
0
Tamanho da página para paginação.
24
ID da ação.
🔹 Detalhes: O identificador pode ser obtido na API /actions, utilizando o parâmetro actionType
65456456
Contrato
"contract"
Response
Informações do dispositivo encontradas com sucesso.

